Manual do PHP
Anterior |  | Próxima

# maxdb_autocommit

(no version information, might be only in CVS)

maxdb_autocommit -- Turns on or off auto-commiting database modifications

## Description

Procedural style:

bool maxdb_autocommit ( resource link, bool mode )

maxdb_autocommit() is used to turn on or off auto-commit mode on queries for the database connection represented by the link resource.

## Return values

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## See also

maxdb_commit(), maxdb_rollback().

## Example

Exemplo 1. Procedural style

`<?php $link = maxdb_connect("localhost", "MONA", "RED"); if (!$link) { printf("Can't connect to localhost. Error: %s\n", maxdb_connect_error()); exit(); } /* turn autocommit on */ maxdb_autocommit($link, TRUE); /* close connection */ maxdb_close($link); ?>`

The above examples would produce no output.

Anterior | Principal | Próxima
maxdb_affected_rows | Acima | maxdb_bind_param